VertexInterface Class Reference

Public Member Functions | List of all members
VertexInterface Class Reference

`#include <componentInterfaces.h>`

## Public Member Functions
| VertexInterface ()
| VertexInterface (Level const &parent, Level const &child)
| ~VertexInterface ()
void | SetIndex (int parentIndex, int childIndex)
int | GetNumEdges () const
int | GetNumFaces () const
float | GetSharpness () const
float * | GetSharpnessPerEdge (float pSharpness[]) const
float | GetChildSharpness (Sdc::Crease const &) const
float * | GetChildSharpnessPerEdge (Sdc::Crease const &crease, float cSharpness[]) const

## Detailed Description

Definition at line 107 of file componentInterfaces.h.

## Constructor & Destructor Documentation

## ◆ VertexInterface() [1/2]

VertexInterface | ( |  | ) |
| inline

Definition at line 109 of file componentInterfaces.h.

## ◆ VertexInterface() [2/2]

VertexInterface | ( | Level const & | parent,
|  | Level const & | child
| ) |  |
| inline

Definition at line 110 of file componentInterfaces.h.

## ◆ ~VertexInterface()

~VertexInterface | ( |  | ) |
| inline

Definition at line 111 of file componentInterfaces.h.

## Member Function Documentation

## ◆ GetChildSharpness()

float GetChildSharpness | ( | Sdc::Crease const & |  | ) | const
| inline

Definition at line 133 of file componentInterfaces.h.

## ◆ GetChildSharpnessPerEdge()

float* GetChildSharpnessPerEdge | ( | Sdc::Crease const & | crease,
|  | float | cSharpness[]
| ) |  | const
| inline

Definition at line 134 of file componentInterfaces.h.

## ◆ GetNumEdges()

int GetNumEdges | ( |  | ) | const
| inline

Definition at line 121 of file componentInterfaces.h.

## ◆ GetNumFaces()

int GetNumFaces | ( |  | ) | const
| inline

Definition at line 122 of file componentInterfaces.h.

## ◆ GetSharpness()

float GetSharpness | ( |  | ) | const
| inline

Definition at line 124 of file componentInterfaces.h.

## ◆ GetSharpnessPerEdge()

float* GetSharpnessPerEdge | ( | float | pSharpness[] | ) | const
| inline

Definition at line 125 of file componentInterfaces.h.

## ◆ SetIndex()

void SetIndex | ( | int | parentIndex,
|  | int | childIndex
| ) |  |
| inline

Definition at line 113 of file componentInterfaces.h.

The documentation for this class was generated from the following file:

- opensubdiv/vtr/componentInterfaces.h